> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clemta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Fixed Asset

> Update an existing fixed asset

# Update Fixed Asset

This endpoint allows you to update an existing fixed asset.

## Headers

| Parameter | Type   | Description                  |
| --------- | ------ | ---------------------------- |
| X-API-KEY | string | Formation API Key (required) |

## Path Parameters

| Parameter        | Type   | Description               |
| ---------------- | ------ | ------------------------- |
| fixed\_asset\_id | string | Fixed Asset ID (required) |

## Request Body

```json theme={null}
{
  "title": "Updated Office Computer",
  "placed_in_service": 1640995200,
  "cost": 1600.0,
  "salvage_value": 160.0,
  "business_use": 90.0,
  "company_id": "64b8f1a2e4b0c8d9f0123456"
}
```

### Request Parameters

| Parameter           | Type    | Required | Description                                    |
| ------------------- | ------- | -------- | ---------------------------------------------- |
| title               | string  | Yes      | Title/name of the fixed asset                  |
| placed\_in\_service | integer | Yes      | Timestamp when the asset was placed in service |
| cost                | number  | Yes      | Original cost of the fixed asset               |
| salvage\_value      | number  | Yes      | Estimated salvage value of the asset           |
| business\_use       | number  | Yes      | Percentage of business use (0-100)             |
| company\_id         | string  | Yes      | Company ID that owns the asset                 |

### Parameter Examples

* **Fixed Asset ID**: `64b8f1a2e4b0c8d9f0123456`

## Response

```json theme={null}
{
  "success": true,
  "message": "Fixed asset updated successfully",
  "data": {
    "id": "64b8f1a2e4b0c8d9f0123456",
    "title": "Updated Office Computer",
    "placed_in_service": 1640995200,
    "cost": 1600.0,
    "salvage_value": 160.0,
    "business_use": 90.0,
    "fixed_asset_number": 1,
    "fixed_asset_number_text": "AST-1",
    "created_at": 1640995200,
    "updated_at": 1640995300
  }
}
```

### Response Parameters

| Parameter                       | Type    | Description                                |
| ------------------------------- | ------- | ------------------------------------------ |
| success                         | boolean | Indicates if the operation was successful  |
| message                         | string  | Additional information about the operation |
| data                            | object  | Response data for successful requests      |
| data.id                         | string  | Unique identifier for the fixed asset      |
| data.title                      | string  | Title/name of the fixed asset              |
| data.placed\_in\_service        | integer | Timestamp when asset was placed in service |
| data.cost                       | number  | Original cost of the fixed asset           |
| data.salvage\_value             | number  | Estimated salvage value of the asset       |
| data.business\_use              | number  | Percentage of business use (0-100)         |
| data.fixed\_asset\_number       | integer | Auto-generated fixed asset number          |
| data.fixed\_asset\_number\_text | string  | Formatted fixed asset number text          |
| data.created\_at                | integer | Creation timestamp                         |
| data.updated\_at                | integer | Last update timestamp                      |

## Error Responses

### Invalid Request Data (400)

```json theme={null}
{
  "success": false,
  "message": "Invalid request data",
  "error": {
    "code": "VALIDATION_FAILED",
    "details": "Field 'title' is required"
  }
}
```

### Unauthorized (401)

```json theme={null}
{
  "success": false,
  "message": "API key is required",
  "error": {
    "code": "API_KEY_REQUIRED",
    "details": ""
  }
}
```

### Fixed Asset Not Found (404)

```json theme={null}
{
  "success": false,
  "message": "Fixed asset not found",
  "error": {
    "code": "FIXED_ASSET_NOT_FOUND",
    "details": ""
  }
}
```

### Internal Server Error (500)

```json theme={null}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "code": "INTERNAL_ERROR",
    "details": "An unexpected error occurred."
  }
}
```

## Notes

* The `placed_in_service` timestamp should be in Unix timestamp format
* The `business_use` percentage must be between 0 and 100
* The `cost` and `salvage_value` should be positive numbers
* Fixed asset numbers cannot be modified and remain unchanged
* The `updated_at` timestamp will be automatically updated when the asset is modified


## OpenAPI

````yaml PATCH /fixed-assets/{fixed_asset_id}
openapi: 3.0.3
info:
  title: Clemta Formation API
  description: >-
    API for company formation services. This API allows partners to create,
    retrieve, and manage company formations programmatically.
  version: '2025-06-24'
  contact:
    name: Clemta API Support
    email: tech@clemta.com
  license:
    name: Proprietary
    url: https://clemta.com/terms
servers:
  - url: https://api.clemta.com
    description: Production server
  - url: https://sandbox.clemta.com
    description: Sandbox server
security:
  - ApiKeyAuth: []
paths:
  /fixed-assets/{fixed_asset_id}:
    patch:
      tags:
        - Fixed Assets
      summary: Update Fixed Asset
      description: Updates an existing fixed asset
      operationId: updateFixedAsset
      parameters:
        - name: fixed_asset_id
          in: path
          required: true
          description: Fixed Asset ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFixedAssetRequest'
      responses:
        '200':
          description: Fixed asset updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedAssetUpdateResponse'
        '400':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: Fixed asset not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedAssetNotFoundError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  schemas:
    UpdateFixedAssetRequest:
      type: object
      required:
        - title
        - placed_in_service
        - cost
        - salvage_value
        - business_use
        - company_id
      properties:
        title:
          type: string
          description: Title/name of the fixed asset
          example: Office Computer
        placed_in_service:
          type: integer
          description: Timestamp when the asset was placed in service
          example: 1640995200
        cost:
          type: number
          description: Original cost of the fixed asset
          example: 1500
        salvage_value:
          type: number
          description: Estimated salvage value of the asset
          example: 150
        business_use:
          type: number
          description: Percentage of business use (0-100)
          example: 100
        company_id:
          type: string
          description: Company ID
          example: 64b8f1a2e4b0c8d9f0123456
    FixedAssetUpdateResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Fixed asset updated successfully
        data:
          $ref: '#/components/schemas/FixedAssetResponse'
    BadRequestError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid request data
        data:
          type: object
          nullable: true
          example: null
        error:
          type: object
          properties:
            code:
              type: string
              example: INVALID_REQUEST
            details:
              type: string
              example: Field 'name' is required
    UnauthorizedError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: API key is required
        data:
          type: object
          nullable: true
          example: null
        error:
          type: object
          properties:
            code:
              type: string
              example: API_KEY_REQUIRED
            details:
              type: string
              example: ''
    FixedAssetNotFoundError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Fixed asset not found
        data:
          type: object
          nullable: true
          example: null
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            details:
              type: string
              example: ''
    InternalServerError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Internal server error
        data:
          type: object
          nullable: true
          example: null
        error:
          type: object
          properties:
            code:
              type: string
              example: INTERNAL_ERROR
            details:
              type: string
              example: An unexpected error occurred.
    FixedAssetResponse:
      type: object
      example:
        id: 64b8f1a2e4b0c8d9f0123456
        created_at: 1640995200
        updated_at: 1640995200
        title: Office Computer
        placed_in_service: 1640995200
        cost: 1500
        salvage_value: 150
        business_use: 100
        fixed_asset_number: 1
        fixed_asset_number_text: AST-1
      properties:
        id:
          type: string
          description: Fixed asset ID
        created_at:
          type: integer
          description: Creation timestamp
        updated_at:
          type: integer
          description: Last update timestamp
        title:
          type: string
          description: Title/name of the fixed asset
        placed_in_service:
          type: integer
          description: Timestamp when the asset was placed in service
        cost:
          type: number
          description: Original cost of the fixed asset
        salvage_value:
          type: number
          description: Estimated salvage value of the asset
        business_use:
          type: number
          description: Percentage of business use (0-100)
        fixed_asset_number:
          type: integer
          description: Auto-generated fixed asset number
        fixed_asset_number_text:
          type: string
          description: Formatted fixed asset number text
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Formation API key for authentication.

````